## ros-iron-test-bond 4.0.0

=== debian/changelog ===
ros-iron-test-bond (4.0.0-4jammy) jammy; urgency=high

  * Bond cleanups (#87 <https://github.com/ros/bond_core/issues/87>)
  * Modernize rosidl_get_typesupport for Humble+ (#85 <https://github.com/ros/bond_core/issues/85>)
  * Contributors: Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Wed, 31 Aug 2022 16:00:00 -0000

ros-iron-test-bond (3.0.2-4jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 31 Mar 2022 16:00:00 -0000

ros-iron-test-bond (3.0.1-4jammy) jammy; urgency=high

  * Add build dependencies on pkg-config.
  * Contributors: Chris Lalancette

 -- Michael Carroll <michael@openrobotics.org>  Mon, 25 Jan 2021 16:00:00 -0000

ros-iron-test-bond (3.0.0-4jammy) jammy; urgency=high

  * [Fixing CI] using chrono literals for durations from rclcpp API update (#69 <https://github.com/ros/bond_core/issues/69>)
  * Contributors: Steve Macenski

 -- Michael Carroll <michael@openrobotics.org>  Mon, 25 Jan 2021 16:00:00 -0000

ros-iron-test-bond (2.0.0-4jammy) jammy; urgency=high

  * Lifecycle support 2 (#67 <https://github.com/ros/bond_core/issues/67>)
  * find uuid correctly on ubuntu and osx (#55 <https://github.com/ros/bond_core/issues/55>)
  * Ros2 devel (#54 <https://github.com/ros/bond_core/issues/54>)
  * Make Michael Carroll the maintainer (#40 <https://github.com/ros/bond_core/issues/40>)
  * Contributors: Karsten Knese, Mikael Arguedas, Steve Macenski

 -- Michael Carroll <michael@openrobotics.org>  Wed, 04 Nov 2020 16:00:00 -0000

ros-iron-test-bond (1.8.3-4jammy) jammy; urgency=high

  * Fix build issue on Windows (#38 <https://github.com/ros/bond_core/issues/38>)
    * Fix build issue on Windows
    * indent for better readability
  * Contributors: Johnson Shih

 -- Michael Carroll <michael@openrobotics.org>  Thu, 16 Aug 2018 16:00:00 -0000

ros-iron-test-bond (1.8.2-4jammy) jammy; urgency=high

  * uuid dependency fixup (#36 <https://github.com/ros/bond_core/issues/36>)
    * dont export uuid dependency as this isnt anywhere in the public api
    * fixx uuid dependency in test_bond as well
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 26 Apr 2018 16:00:00 -0000

ros-iron-test-bond (1.8.1-4jammy) jammy; urgency=high

  * fix package.xml to comply with schema (#30 <https://github.com/ros/bond_core/issues/30>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 26 Oct 2017 16:00:00 -0000

ros-iron-test-bond (1.8.0-4jammy) jammy; urgency=high

  * C++ style (#28 <https://github.com/ros/bond_core/issues/28>)
  * switch to package format 2 (#27 <https://github.com/ros/bond_core/issues/27>)
  * Closer to pep8 compliance (#25 <https://github.com/ros/bond_core/issues/25>)
  * Python3 compatibility (#24 <https://github.com/ros/bond_core/issues/24>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Wed, 26 Jul 2017 16:00:00 -0000

ros-iron-test-bond (1.7.19-4jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 26 Mar 2017 16:00:00 -0000

ros-iron-test-bond (1.7.18-4jammy) jammy; urgency=high

  * fix -isystem /usr/include build breakage in gcc6
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Sun, 23 Oct 2016 16:00:00 -0000

ros-iron-test-bond (1.7.17-4jammy) jammy; urgency=high

  * update maintainer
  * Made code a bit more readable #12 <https://github.com/ros/bond_core/pull/12>
  * Contributors: Esteve Fernandez, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Mon, 14 Mar 2016 16:00:00 -0000

ros-iron-test-bond (1.7.16-4jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 29 Oct 2014 16:00:00 -0000

ros-iron-test-bond (1.7.15-4jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 27 Oct 2014 16:00:00 -0000

ros-iron-test-bond (1.7.14-4jammy) jammy; urgency=high

  * Update maintainer field
  * Contributors: Esteve Fernandez, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Wed, 07 May 2014 16:00:00 -0000

ros-iron-test-bond (1.7.13-4jammy) jammy; urgency=high

  * update check for CATKIN_ENABLE_TESTING to work with isolated built
  * check for CATKIN_ENABLE_TESTING
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 20 Aug 2013 16:00:00 -0000

ros-iron-test-bond (1.7.12-4jammy) jammy; urgency=high

  * fix dependency on exported targets if the variable is empty for the test package
  * use EXPORTED_TARGETS variable instead of explicit target names
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Wed, 05 Jun 2013 16:00:00 -0000

ros-iron-test-bond (1.7.11-4jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 12 Mar 2013 16:00:00 -0000

ros-iron-test-bond (1.7.10-4jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 12 Jan 2013 16:00:00 -0000

ros-iron-test-bond (1.7.9-4jammy) jammy; urgency=high

  * fix wrong import of bondpy
  * increase timeout for test
  * modified dep type of catkin
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Wed, 26 Dec 2012 16:00:00 -0000

ros-iron-test-bond (1.7.8-4jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 12 Dec 2012 16:00:00 -0000

ros-iron-test-bond (1.7.7-4jammy) jammy; urgency=high

  * Updated url tags in package.xml's #1 <https://github.com/ros/bond_core/pull/1>
  * Contributors: William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Wed, 05 Dec 2012 16:00:00 -0000

ros-iron-test-bond (1.7.6-4jammy) jammy; urgency=high

  * fix catkin function order
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Mon, 29 Oct 2012 16:00:00 -0000

ros-iron-test-bond (1.7.5-4jammy) jammy; urgency=high

  * clean up package.xml files
  * fixed dep to rostest
  * fixed python module import
  * fixed test registration in cmake

