=== debian/control ===
Source: ros-iron-test-bond
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), pkg-config <!nocheck>, ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-bond <!nocheck>, ros-iron-bondcpp <!nocheck>, ros-iron-builtin-interfaces, ros-iron-rclcpp <!nocheck>, ros-iron-rclcpp-lifecycle, ros-iron-rclcpp-lifecycle <!nocheck>, ros-iron-rosidl-default-generators, ros-iron-std-msgs, uuid-dev <!nocheck>, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: http://www.ros.org/wiki/test_bond
Standards-Version: 3.9.2

Package: ros-iron-test-bond
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-builtin-interfaces, ros-iron-rosidl-default-runtime, ros-iron-std-msgs, ros-iron-ros-workspace
Description: Contains tests for [[bond]], including tests for [[bondcpp]].
